---
title: List Zaraz historical configuration records
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Zaraz](https://developers.cloudflare.com/api/go/resources/zaraz)

[History](https://developers.cloudflare.com/api/go/resources/zaraz/subresources/history)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List Zaraz historical configuration records

client.Zaraz.History.List(ctx, params) (\*SinglePage\[[HistoryListResponse](<https://developers.cloudflare.com/api/go/resources/zaraz#(resource)%20zaraz.history%20%3E%20(model)%20HistoryListResponse%20%3E%20(schema)>)], error)

GET/zones/{zone\_id}/settings/zaraz/history

Lists a history of published Zaraz configuration records for a zone.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zaraz Edit``Zaraz Read``Zaraz Admin`

##### ParametersExpand Collapse

<details>

<summary>

params HistoryListParams

</summary>

ZoneID param.Field\[string]

Path param: Identifier.

maxLength32

<a href="#(resource)%20zaraz.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

Limit param.Field\[int64]Optional

Query param: Maximum amount of results to list. Default value is 10.

minimum1

<a href="#(resource)%20zaraz.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20limit">Link to this property</a>

Offset param.Field\[int64]Optional

Query param: Ordinal number to start listing the results with. Default value is 0.

minimum0

<a href="#(resource)%20zaraz.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20offset">Link to this property</a>

<details>

<summary>

SortField param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/zaraz/subresources/history/methods/list#(resource)%20zaraz.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sortField%20%3E%20(schema)">HistoryListParamsSortField</a>]Optional

Query param: The field to sort by. Default is updated\_at.

</summary>

const HistoryListParamsSortFieldID <a href="https://developers.cloudflare.com/api/go/resources/zaraz/subresources/history/methods/list#(resource)%20zaraz.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sortField%20%3E%20(schema)">HistoryListParamsSortField</a> = "id"

<a href="#(resource)%20zaraz.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sortField%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const HistoryListParamsSortFieldUserID <a href="https://developers.cloudflare.com/api/go/resources/zaraz/subresources/history/methods/list#(resource)%20zaraz.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sortField%20%3E%20(schema)">HistoryListParamsSortField</a> = "user\_id"

<a href="#(resource)%20zaraz.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sortField%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

const HistoryListParamsSortFieldDescription <a href="https://developers.cloudflare.com/api/go/resources/zaraz/subresources/history/methods/list#(resource)%20zaraz.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sortField%20%3E%20(schema)">HistoryListParamsSortField</a> = "description"

<a href="#(resource)%20zaraz.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sortField%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

const HistoryListParamsSortFieldCreatedAt <a href="https://developers.cloudflare.com/api/go/resources/zaraz/subresources/history/methods/list#(resource)%20zaraz.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sortField%20%3E%20(schema)">HistoryListParamsSortField</a> = "created\_at"

<a href="#(resource)%20zaraz.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sortField%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

const HistoryListParamsSortFieldUpdatedAt <a href="https://developers.cloudflare.com/api/go/resources/zaraz/subresources/history/methods/list#(resource)%20zaraz.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sortField%20%3E%20(schema)">HistoryListParamsSortField</a> = "updated\_at"

<a href="#(resource)%20zaraz.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sortField%20%3E%20(schema)%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20zaraz.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sortField">Link to this property</a>

<details>

<summary>

SortOrder param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/zaraz/subresources/history/methods/list#(resource)%20zaraz.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sortOrder%20%3E%20(schema)">HistoryListParamsSortOrder</a>]Optional

Query param: Sorting order. Default is DESC.

</summary>

const HistoryListParamsSortOrderDesc <a href="https://developers.cloudflare.com/api/go/resources/zaraz/subresources/history/methods/list#(resource)%20zaraz.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sortOrder%20%3E%20(schema)">HistoryListParamsSortOrder</a> = "DESC"

<a href="#(resource)%20zaraz.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sortOrder%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const HistoryListParamsSortOrderAsc <a href="https://developers.cloudflare.com/api/go/resources/zaraz/subresources/history/methods/list#(resource)%20zaraz.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sortOrder%20%3E%20(schema)">HistoryListParamsSortOrder</a> = "ASC"

<a href="#(resource)%20zaraz.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sortOrder%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20zaraz.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sortOrder">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zaraz.history%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type HistoryListResponse struct{…}

</summary>

ID int64

ID of the configuration.

<a href="#(resource)%20zaraz.history%20%3E%20(model)%20HistoryListResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

CreatedAt Time

Date and time the configuration was created.

formatdate-time

<a href="#(resource)%20zaraz.history%20%3E%20(model)%20HistoryListResponse%20%3E%20(schema)%20%3E%20(property)%20createdAt">Link to this property</a>

Description string

Configuration description provided by the user who published this configuration.

<a href="#(resource)%20zaraz.history%20%3E%20(model)%20HistoryListResponse%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

UpdatedAt Time

Date and time the configuration was last updated.

formatdate-time

<a href="#(resource)%20zaraz.history%20%3E%20(model)%20HistoryListResponse%20%3E%20(schema)%20%3E%20(property)%20updatedAt">Link to this property</a>

UserID string

Alpha-numeric ID of the account user who published the configuration.

<a href="#(resource)%20zaraz.history%20%3E%20(model)%20HistoryListResponse%20%3E%20(schema)%20%3E%20(property)%20userId">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zaraz.history%20%3E%20(model)%20HistoryListResponse%20%3E%20(schema)>)

### List Zaraz historical configuration records

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zaraz"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.Zaraz.History.List(context.TODO(), zaraz.HistoryListParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": 0,
      "createdAt": "2019-12-27T18:11:19.117Z",
      "description": "description",
      "updatedAt": "2019-12-27T18:11:19.117Z",
      "userId": "userId"
    }
  ],
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": 0,
      "createdAt": "2019-12-27T18:11:19.117Z",
      "description": "description",
      "updatedAt": "2019-12-27T18:11:19.117Z",
      "userId": "userId"
    }
  ],
  "success": true
}
```